package com.sa.ibiz.demo.demo.service;

import com.sa.ibiz.demo.demo.domain.Registry;
import com.sa.ibiz.demo.demo.service.dto.RegistrySearchFilter;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.core.metadata.IPage;
import java.util.List;
import com.baomidou.mybatisplus.extension.service.IService;
import java.util.Map;

/**
 * 实体[Registry] 服务对象接口
 */
public interface RegistryService extends IService<Registry>{

	boolean getDraft(Registry et);
		Registry get(Registry et);
	boolean update(Registry et);
	boolean checkKey(Registry et);
	boolean create(Registry et);
	boolean remove(Registry et);
    List<Registry> listDefault(RegistrySearchFilter filter) ;
	Page<Registry> searchDefault(RegistrySearchFilter filter);
	/**	 实体[Registry] 自定义数据查询  	**/
	List<Map<String,Object>> selectRow(String sql);
 }